miércoles, agosto 26, 2009

OSGi/JTA

Existe un problema al utilizar JTA (Java Transaction API) en OSGi: la implementación JTA que ofrece el bundle "0" (el del runtime OSGi) es la del JDK y está incompleta.
Para solucionar esto hay seguir dos pasos:
1: Colocar un jar de JTA con el MANIFEST.MF de OSGi en la carpeta "lib/ext" del JRE. El Jar se puede obtener del repositorio de SpringSource: com.springsource.javax.transaction-1.1.0.jar
2: Modificar la propiedad "org.osgi.framework.system.packages" del runtime para agregar los packages de la versión "1.1.0": "javax.transaction, javax.transaction;version=1.1.0, javax.transaction.xa, javax.transaction.xa;version=1.1.0"

De hecho esta solución nos permite también ofrecer nuestros propios packages como parte del bundle "0", solo debemos agregarlos a la propiedad arriba mencionada.

1 comentario:

Jackeline dijo...

Hola estimado blogger
Estuve visitando tu Blog y está excelente, permíteme felicitarte.
Sería un gusto contar con tu blog en mi directorio y estoy segura que para mis visitas será de mucho interés.
Si lo deseas no dudes en escribirme a jackiesj0801@hotmail.com
Exitos con tu blog.
Un beso
Jackie